getSalesInvoices
READGet sales invoices.
POST /api/v1/invoicing/getSalesInvoices
curl -X POST '<your-host>/api/v1/invoicing/getSalesInvoices' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"id": "string",
"invoiceId": "string",
"status": "string",
"customerId": "string",
"customerReference": "string",
"invoiceCustomerId": "string",
"postingDate": "string",
"dateIssued": "string",
"dateDue": "string",
"datePaid": "string",
"balance": 0,
"assignee": "string",
"companyId": "string",
"customFields": "…",
"createdAt": "string",
"createdBy": "string",
"updatedAt": "string",
"updatedBy": "string",
"thumbnailPath": "string",
"itemType": "Part",
"invoiceTotal": 0,
"paymentTermName": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
},
"customerId": {
"type": [
"string",
"null"
]
}
}
}
}
}